Register now    |   Login  

COMMUNITY





Back to Forum Index
   Development & Bugs
     Fedora Core 4 x86_64 error
Register To Post
Poster Thread
Posted on: 2005/9/29 6:49

Fedora Core 4 x86_64 error
Trying to run yamipod on FC-4 x86_64 but it cannot find the shared libraries.

I get:

./YamiPod: error while loading shared libraries: libcups.so.2: cannot open shared object file: No such file or directory

when i run ./YamiPod


sys32768

yamipod
(Webmaster)


Joined: 2005/1/18
Posts: 793

Posted on: 2005/9/29 9:17

Re: Fedora Core 4 x86_64 error
you probably haven't installed cups on your system.

Tomas
Posted on: 2005/9/29 18:35

Re: Fedora Core 4 x86_64 error
Yep, cups is installed and I can print. Not sure where yamipod is looking for it but "libcups.so.2" is in /usr/lib64 on Fedora Core 4 x86_64.

EDIT: never mind I got it! I had to go to "Desktop/System Settings/AddRemove Applications", go to Compatibilty Arch Support-Details" and install "cups-libs - Common Unix Printing System - libraries"

I guess this installs the 32 bit support for cups.

Anyway, all is well now!

Thanks!

sys32768
yamipod
(Webmaster)


Joined: 2005/1/18
Posts: 793

Posted on: 2005/9/29 22:29

Re: Fedora Core 4 x86_64 error
Good to know.

Thanks,
Tomas
Posted on: 2005/10/22 21:40

Re: Fedora Core 4 x86_64 error
I am having the same problem using Ubuntu Breezy 5.10 AMD64. Here is the output:
./YamiPod: error while loading shared libraries: libcups.so.2: cannot open shared object file: No such file or directory

It seems that I have the library installed: locate libcups.so.2
finds it in: /usr/lib/libcups.so.2
I also noticed that I have the same file in: /usr/lib64/libcups.so.2

I am not sure if the problem is that there should be a 64-bit version of YamiPod or perhaps the problem is something else.

Notice also this bug that is related to missing shared libraries on the X86_64 platform.
http://www.yamipod.com/main/modules/newbb/viewtopic.php?topic_id=207&forum=3

Thanks

Register To Post